package nz.ac.massey.javaecs.examples.Components;

public class RidgidBody {
    public RidgidBody(){}
    public RidgidBody(double xVel, double yVel, double xAcc, double yAcc, float compressability, double bounciness, double mass){
        this.xVel = xVel;
        this.yVel = yVel;
        this.xAcc = xAcc;
        this.yAcc = yAcc;
        this.compressability = compressability;
        this.bounciness = bounciness;
        this.mass = mass;
    }

    // Velocities
    public double xVel = 0.0;
    public double yVel = 0.0;
    // accelerations
    public double xAcc = 0.0;
    public double yAcc = 0.0;
    // physical properties
    public float compressability = 0.01f; // How much the object can squish the other
    public double bounciness = 0.75; // How bouncy the object is

    public double mass = 1.0;
}
