package nz.ac.massey.javaecs.examples.Components;

public class Gravity {
    public Gravity(){
    }

    public Gravity(double x, double y){
        this.x = x;
        this.y = y;
    }
    public Gravity(double x, double y, double terminalX, double terminalY){
        this.x = x;
        this.y = y;
        this.terminalX = terminalX;
        this.terminalY = terminalY;
    }
    public double x = 0.0;
    public double y = -9.80665; // Force of gravity (from https://www.bipm.org/en/publications/si-brochure - 9th edition - p159 - Bureau International des Poids et Mesures - CC BY 4.0)
    // Acceleration due to gravity won't be considered if the speed exceeds this. i.e. Negative values are ignored (unlimited)
    public double terminalX = -1.0;
    public double terminalY = -1.0;
}
